Subject: [os2genau_digest] No. 1306
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 5 Jun 2006 00:00:21 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 04 June 2006
 Number  1306
**************************************************

Subjects for today
 
1  Re:  Aussie Mobile Internet for OS/2 - eCS [Warning LONG posting] : Mike O'Connor" <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Sun, 04 Jun 2006 13:06:07 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Aussie Mobile Internet for OS/2 - eCS [Warning LONG posting]

Peter Moylan wrote:

> Mike O'Connor wrote:
>
>> I too have a RAZR V3x, and after looking at the [SanDisk] 64MB 
>> Transflash (Micro Secure Digital Card [~ 6mm * 4mm]) I can confirm
>> that the only format that is acceptable to Motorola is VFAT12 - i.e.
>> 12-bit FAT entries with LFN "a la" FAT32, but more space efficient
>> than F32! Windows recognises that it is VFAT12 - OS/2-eCS thinks it
>> is just FAT12, so the directory structure gets screwed up if
>> appending to the card from our OS!
>
>
> I'm surprised that VFAT12 even exists, because the reason for the
> invention of FAT16 (FAT12 was the original DOS file system) was that
> FAT12 because grossly inefficient once floppies got as large as 1.2MB.
> (You could use it only by having a large cluster size.)
>
> I see that there's a VFAT IFS by Daniel Steiner on Hobbes. I don't know
> anything about it, but it might be worth a try.
>
>> Here's a look at the data on a 1GB regular size SDRAM card that I
>> bought from DSE yesterday for my new Palm Tungsten E2 [$339 on
>> special til 11th June] almost exactly the same formatting as the
>> Motorola Transflash - VFAT12, although they both label the DBR as
>> FAT16 - I'll have a chat to Chris [GU] to see whether he could extend
>> the GU to include a VFAT [12 & 16] to the current suite.
>
>
> Years ago I wrote disk drivers for DOS that would work with both FAT12
> and FAT16, and as far as I recall they autodetected which one was which.
> (It was part of a library for writing multithread programs for DOS. I
> had to write all my own device drivers because MS-DOS device drivers
> used BIOS routines, and the stupid BIOS used to enable interrupts when
> they were supposed to be disabled, so the DOS device drivers couldn't be
> trusted.) I'd be happy to give that code to Chris or to anyone else
> who's willing to write a VFAT IFS. (As I understand it, VFAT is almost
> identical to FAT, except that it uses two directory entries per file.
> Even though I've written device drivers for bare machines, I have no
> experience into how to do it for OS/2.
>
> (If I recall correctly, Chris is a member of this list.)
>
Hi Peter,

Sorry for the delay in responding - I've got all my systems in bits and 
pieces and don't feel like using the V3x to generate my e-mails! I can't 
get used to having to use "ABC" on the 2-key etc., especially after 
having had virtual on-screen keyboards with my 1998 Palm III for years.

Had a bit of luck experimenting between the V3x and the new Tungsten E2 
- which uses regular size SD RAM cards. The Motorola which absolutely 
refused to read/re-format the "garbaged" MicroSD card allowed me to read 
and reformat it after I had inserted it in my Tungsten E2, using the 
Motorola MicroSD adapter [standard SDRAM card size], and which the E2 
was quite happy to format. It also displayed tech information about that 
MicroSD card! :-)

So now I am again able to use the storage capacity of the card for 
saving pictures/videos etc. Will definitely upgrade the card, 
capacity-wise, as they come in up to 2GB size.

As suggested by Ed, I will play around a bit with VFAT2EA, and see 
whether that is a permanent solution!

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------